# Yahoo! UI Library

### paginator 2.8.0r4

Yahoo! UI Library > paginator > YAHOO.widget.Paginator.ui.RowsPerPageDropdown
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.widget.Paginator.ui.RowsPerPageDropdown

ui Component to generate the rows-per-page dropdown

### Constructor

YAHOO.widget.Paginator.ui.RowsPerPageDropdown `( p )`

Parameters:
  `p <Pagintor>` Paginator instance to attach to

### Properties

#### all - `protected HTMLElement`

option node for the optional All value

#### select - `private HTMLElement`

select node

### Methods

#### _handleTotalRecordsChange

`protected void _handleTotalRecordsChange ( e )`
Updates the all option value (and Paginator's rowsPerPage attribute if necessary) in response to a change in the Paginator's totalRecords.

Parameters:
  `e <Event>` attribute change event

Returns: `void`

#### destroy

`private void destroy ( )`
Removes the select node and clears event listeners

Returns: `void`

#### init

`static void init ( p )`
Decorates Paginator instances with new attributes. Called during Paginator instantiation.

Parameters:
  `p <Paginator>` Paginator instance to decorate

Returns: `void`

#### onChange

`void onChange ( e )`
Listener for the select's onchange event. Sent to setRowsPerPage method.

Parameters:
  `e <DOMEvent>` The change event

Returns: `void`

#### rebuild

`void rebuild ( )`
(Re)generate the select options.

Returns: `void`

#### render

`HTMLElement render ( id_base )`
Generate the select and option nodes and returns the select node.

Parameters:
  `id_base <string>` used to create unique ids for generated nodes

Returns: `HTMLElement`

#### update

`void update ( e )`
Select the appropriate option if changed.

Parameters:
  `e <CustomEvent>` The calling change event

Returns: `void`

### Events

#### beforeRowsPerPageDropdownClassChange

`beforeRowsPerPageDropdownClassChange ( event )`
Fires before the value for the configuration attribute 'rowsPerPageDropdownClass' changes. Return false to cancel the attribute change.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### beforeRowsPerPageOptionsChange

`beforeRowsPerPageOptionsChange ( event )`
Fires before the value for the configuration attribute 'rowsPerPageOptions' changes. Return false to cancel the attribute change.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### rowsPerPageDropdownClassChange

`rowsPerPageDropdownClassChange ( event )`
Fires when the value for the configuration attribute 'rowsPerPageDropdownClass' changes.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### rowsPerPageOptionsChange

`rowsPerPageOptionsChange ( event )`
Fires when the value for the configuration attribute 'rowsPerPageOptions' changes.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

### Configuration Attributes

#### rowsPerPageDropdownClass `- object`

CSS class assigned to the select node
Default Value: 'yui-pg-rpp-options'

#### rowsPerPageOptions `- object`

Array of available rows-per-page sizes. Converted into select options. Array values may be positive integers or object literals in the form
{ value : NUMBER, text : STRING }
Default Value: []

Copyright © 2009 Yahoo! Inc. All rights reserved.